package com.macro.mall.tiny.modules.business.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
public class FileDownloadParam {

    @NotEmpty
    @ApiModelProperty(value = "下载文件名称(*.zip)", required = true)
    private String name;

    @NotEmpty
    @ApiModelProperty(value = "下载的文件路径列表", required = true)
    private List<String> fileList;
}
