package com.macro.mall.tiny.modules.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * @author gjs
 * @description
 * @date 2021/4/2 11:35
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "BFile对象", description = "文件对象")
public class BFile implements Serializable {

    @ApiModelProperty(value = "文件/文件夹名称")
    private String name;

    @ApiModelProperty(value = "文件/文件夹详细路径")
    private String path;

    @ApiModelProperty(value = "是否为文件夹")
    private int isDirectory;

    @ApiModelProperty(value = "下一层")
    private List<BFile> subFile;

}
