package com.macro.mall.tiny.modules.business.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @author gjs
 * @description
 * @date 2021/3/25 10:17
 */
@Getter
@Setter
public class WeatherParam {

    @NotBlank
    @ApiModelProperty(value = "经度")
    private String lon;

    @NotBlank
    @ApiModelProperty(value = "纬度")
    private String lat;
}
