package com.macro.mall.tiny.modules.business.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author gjs
 * @description
 * @date 2021/3/27 15:15
 */
@Getter
@AllArgsConstructor
public enum DirectoryEnum implements IEnum<Integer> {
    FINISH_DES(1, "1竣工说明"),
    TOWER_FORM(2, "2杆塔明细表"),
    TOWER_PIC(3, "3杆塔图纸"),
    CROSS_SEC_PIC(4, "4平断面图"),
    EARTH_WIRE_POW_PIC(5, "5地线放线张力图"),
    EARTH_WIRE_HARD_PIC(6, "6地线金具串图"),
    TEAM_CHECK_PIC(7, "7班组巡检照片"),
    SITE_INVEST(8, "8现场勘察"),
    LON_LAT_INFO(9, "9经纬度信息"),
    HARDWARE_DES(10, "10金具设计资料"),
    ROBOT_CHECK_PIC(12,"12机器巡检图片")
    ;

    private final Integer type;
    private final String name;
}
