package com.macro.mall.tiny.security.util;//package com.macro.mall.tiny.security.util;

import org.apache.shiro.SecurityUtils;
import org.apache.shiro.subject.Subject;

/**
 * @author gjs
 * @description
 * @date 2021/3/29 22:01
 */
public class ShiroAuthUtil {

    public static final String ACCESS = "fileCollect:accessKeyFile";
    public static final String EDIT = "fileCollect:editKeyFile";

    public static boolean checkAccess(String permission) {
        return SecurityUtils.getSubject().isPermitted(permission);
    }

    public static boolean checkAccess(Subject subject, String permission) {
        return subject.isPermitted(permission);
    }
}
